﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.events.TimerEvent;
	import flash.utils.Timer;
	import flash.events.MouseEvent;


	public class Spider extends Sprite
	{
		private var timer:Timer;
		private var points:Array = new Array();
		public function Spider()
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
			fullhandler(null);
			stage.addEventListener(Event.ENTER_FRAME,enterHandler);
		}
		private function fullhandler(e:FullScreenEvent):void
		{
			if(timer){
			timer.stop();
			}
			this.graphics.clear();
			this.graphics.lineStyle(10,Math.random()*0xff0000,0.1);
			points = new Array();
			timer = new Timer(100,100);
			timer.addEventListener(TimerEvent.TIMER, refresh);
			timer.start();
		}
		
		private function downHandler(e:Event):void
		{
			//graphics.clear();
			
			this.graphics.clear();
			while(numChildren>0){
				removeChildAt(0);
			}
			addedHandler(null);
					}
					
					private function enterHandler(e:Event):void
		{
			stage.addEventListener(MouseEvent.MOUSE_DOWN, downHandler);
			//angle = Math.atan((e.currentTarget.y-mouseY)/(e.currentTarget.x-mouseX));
			//e.currentTarget.rotation = angle*10/Math.PI+Math.sin(angle)*180;
			//e.currentTarget.scaleY = angle;
			
		}
		
		private function refresh(e:TimerEvent):void
		{
			var p1:Object;
			var dx:Number;
			var dy:Number;
			var dist:Number;
			var p0:Object = {"x":Math.random() * stage.stageWidth, "y":Math.random() * stage.stageHeight};
			var max:Number = 70;
			for(var i:uint;i<points.length;i++){
				p1 = points[i];
				dx = p1.x - p0.x;
				dy = p1.y - p0.y;
				dist = Math.sqrt(dx * dx/2 + dy*dy);
				if(dist < max){
					this.graphics.lineStyle(0,0xffffff,0.4);
					this.graphics.beginFill(Math.random()*0xf2f2f2,0.2)
					this.graphics.moveTo(p0.x,p0.y);
					//this.graphics.lineTo(mouseX,stage.stage.width);
															

					this.graphics.lineTo(p1.x,p1.y);
					this.graphics.lineTo(mouseX,mouseY);
					this.graphics.endFill();

					//this.graphics.drawCircle(mouseX,mouseY,100);
				}
			}
			points.push(p0);
		}
	}
}